## libxcp-inventory-ocaml 0.9.1

=== Makefile ===
.PHONY: all clean install build distclean
all: build doc

NAME=xcp-inventory
J=4

export OCAMLRUNPARAM=b

setup.bin: setup.ml lib/xcp_inventory_config.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure --enable-tests

build: setup.data setup.bin
	@./setup.bin -build -j $(J)

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install

uninstall:
	@ocamlfind remove $(NAME) || true

test: setup.bin build
	@./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove $(NAME) || true
	@./setup.bin -reinstall

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

lib/xcp_inventory_config.ml:
	@echo "You need to run configure first"
	@exit 1

real-configure: configure.ml
	ocamlfind ocamlc -linkpkg -package findlib,cmdliner -o real-configure configure.ml
	@rm -f configure.cm*

distclean: clean
	rm -f lib/xcp_inventory_config.ml

=== debian/changelog ===
libxcp-inventory-ocaml (0.9.1-1) UNRELEASED; urgency=low

  * Update to 0.9.1

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Fri, 06 Jun 2014 12:00:00 +0000

libxcp-inventory-ocaml (0.9.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 05 Jun 2013 12:00:00 +0000

=== debian/control ===
Source: libxcp-inventory-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libstdext-ocaml-dev,
 python,
 debhelper (>= 8),
 libuuidm-ocaml-dev,
 ocaml-obuild,
 ocaml-findlib,
 ocaml-native-compilers,
 libcmdliner-ocaml-dev,
 libfindlib-ocaml-dev

Package: libxcp-inventory-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml library to read and write the XCP inventory file
 A simple library to read and write the XCP inventory file.

Package: libxcp-inventory-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libxcp-inventory-ocaml (>= 0.9.1-1),
 libstdext-ocaml-dev,
 libuuidm-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-xcp-inventory
 The ocaml-xcp-inventory-devel package contains libraries and
 signature files for developing applications that use ocaml-xcp-
 inventory.
